SELECT DISTINCT
	g.account_description,
    COUNT(line_item_amount) AS line_item_amount_count,
    SUM(i.line_item_amount) AS line_item_amount_sum,
    n.invoice_date
FROM general_ledger_accounts g JOIN invoice_line_items i JOIN invoices n
	ON g.account_number = i.account_number AND i.invoice_id = n.invoice_id
GROUP BY g.account_description
HAVING n.invoice_date BETWEEN '2018-04-01' AND '2018-06-30'
ORDER BY line_item_amount_sum DESC;